Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 37 lines (29 sloc) 1.258 kb
9e2ad53 @jnicklas Added gemspec, tag 0.1
jnicklas authored
1 # -*- encoding: utf-8 -*-
2 lib = File.expand_path('../lib/', __FILE__)
3 $:.unshift lib unless $:.include?(lib)
4
5 require 'evergreen/version'
6
7 Gem::Specification.new do |s|
8 s.name = "evergreen"
9 s.rubyforge_project = "evergreen"
10 s.version = Evergreen::VERSION
11
12 s.authors = ["Jonas Nicklas"]
13 s.email = ["jonas.nicklas@gmail.com"]
14 s.description = "Run Jasmine JavaScript unit tests, integrate them into Ruby applications."
15
69ede2a @jnicklas Merge branch 'master' of http://github.com/elight/evergreen into elig…
jnicklas authored
16 s.files = Dir.glob("{bin,lib,spec,config}/**/*") + %w(README.rdoc)
9e2ad53 @jnicklas Added gemspec, tag 0.1
jnicklas authored
17 s.extra_rdoc_files = ["README.rdoc"]
18 s.executables = ['evergreen']
19
20 s.homepage = "http://github.com/jnicklas/evergreen"
21 s.rdoc_options = ["--main", "README.rdoc"]
22 s.require_paths = ["lib"]
23 s.rubygems_version = "1.3.6"
24 s.summary = "Run Jasmine JavaScript unit tests, integrate them into Ruby applications."
25
19b1a0a @jnicklas Update dependencies, switch to capybara-webkit
jnicklas authored
26 s.add_runtime_dependency("capybara", ["~> 1.0"])
27 s.add_runtime_dependency("launchy")
28 s.add_runtime_dependency("sinatra", ["~> 1.1"])
29 s.add_runtime_dependency("json_pure")
30 s.add_runtime_dependency("coffee-script")
9e2ad53 @jnicklas Added gemspec, tag 0.1
jnicklas authored
31
0d70148 @jnicklas Pull in akephalos capy/envjs in development
jnicklas authored
32 s.add_development_dependency('rspec', ['~> 2.0'])
bd6662b @jnicklas updated dependencies
jnicklas authored
33 s.add_development_dependency('capybara-webkit', ['~>0.7'])
19b1a0a @jnicklas Update dependencies, switch to capybara-webkit
jnicklas authored
34 s.add_development_dependency('therubyracer', ['~> 0.9'])
bd6662b @jnicklas updated dependencies
jnicklas authored
35 s.add_development_dependency('rake')
9e2ad53 @jnicklas Added gemspec, tag 0.1
jnicklas authored
36 end
Something went wrong with that request. Please try again.